> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List PaymentMethods

> Retrieve a list of `PaymentMethod` objects.

You can use query parameters to filter, sort, and paginate the results.





## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/billing_reseller_api.yaml get /billing/org/v1/payment_methods
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 6c1926a3ed51
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: accounting
  - name: addendums
    description: Operations on client addendums
  - name: bonuses
  - name: calc-rules
  - name: countries
  - name: currencies
  - name: erp-invoices
  - name: expenses
    description: Operations on expenses
  - name: payment-bindings
  - name: payment-methods
  - name: plans
    description: Operations on tariff plans and their contents
  - name: products
  - name: regions
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
  - name: statistic-regions
  - name: trials
  - name: units
paths:
  /billing/org/v1/payment_methods:
    get:
      tags:
        - payment-methods
      summary: List PaymentMethods
      description: |+
        Retrieve a list of `PaymentMethod` objects.

        You can use query parameters to filter, sort, and paginate the results.

      operationId: v1_payment_methods_list
      parameters:
        - in: query
          name: currency_char_code
          schema:
            type: array
            items:
              type: string
          description: |-
            Filter by currency char code (e.g. USD, EUR). Can be multiple.


            Returns currencies with the specified char code.


            **Examples:**

            - `&currency_char_code=USD`
            - `&currency_char_code=EUR&currency_char_code=USD`



            **Available values:**

            - `EUR` - Euro
            - `USD` - US Dollar
          explode: true
          style: form
        - in: query
          name: currency_id
          schema:
            type: array
            items:
              type: integer
          description: |-
            Filter by currency ID. Can be multiple.


            Returns currencies with the specified ID.


            **Examples:**

            - `&currency_id=1`
            - `&currency_id=1&currency_id=2`



            **Available values:**

            - `1` - US Dollar
            - `2` - Euro
          explode: true
          style: form
        - in: query
          name: default
          schema:
            type: boolean
        - name: limit
          required: false
          in: query
          description: >-
            Number of results to return per page. Maximum is `100`. Default is
            `20`.
          schema:
            type: integer
        - in: query
          name: name
          schema:
            type: string
            x-spec-enum-id: 0f927652b0493447
            enum:
              - adyen
              - bank
          description: |-
            Internal name of payment method

            - `adyen` - adyen
            - `bank` - bank
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: payment_resource_creation
          schema:
            type: boolean
        - in: query
          name: type
          schema:
            type: string
            x-spec-enum-id: 2575771a35f0651c
            enum:
              - adyen
              - alipay
              - applepay
              - bank
              - card
              - googlepay
              - paypal
              - wallet
          description: |-
            Type of payment method

            - `adyen` - adyen
            - `bank` - bank
            - `card` - card
            - `paypal` - paypal
            - `wallet` - wallet
            - `alipay` - alipay
            - `googlepay` - googlepay
            - `applepay` - applepay
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedPaymentMethodForOrgSerializerV1List
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedPaymentMethodForOrgSerializerV1List:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/PaymentMethodForOrgSerializerV1'
    PaymentMethodForOrgSerializerV1:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
          description: Human-readable name of payment method
        name:
          enum:
            - adyen
            - bank
          type: string
          x-spec-enum-id: 0f927652b0493447
          readOnly: true
          description: |-
            Internal name of payment method

            - `adyen` - adyen
            - `bank` - bank
        type:
          enum:
            - adyen
            - bank
            - card
            - paypal
            - wallet
            - alipay
            - googlepay
            - applepay
          type: string
          x-spec-enum-id: 2575771a35f0651c
          readOnly: true
          description: |-
            Type of payment method

            - `adyen` - adyen
            - `bank` - bank
            - `card` - card
            - `paypal` - paypal
            - `wallet` - wallet
            - `alipay` - alipay
            - `googlepay` - googlepay
            - `applepay` - applepay
      required:
        - id
        - name
        - title
        - type
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````